import React from "react";

export const AddStudentIcon = () => (
  <svg
    width="16px"
    height="14px"
    viewBox="0 0 16 14"
    version="1.1"
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
  >
    <g
      id="页面-1"
      stroke="none"
      stroke-width="1"
      fill="none"
      fill-rule="evenodd"
    >
      <g id="教学课程头优化" transform="translate(-338.000000, -263.000000)">
        <g id="编组-44">
          <g id="编组-32" transform="translate(146.000000, 262.000000)">
            <g id="编组-30" transform="translate(192.000000, 0.000000)">
              <g id="学生备份">
                <rect id="矩形" x="0" y="0" width="16" height="16"></rect>
                <g
                  id="编组-2"
                  transform="translate(1.484375, 1.000000)"
                  stroke="#FFFFFF"
                  stroke-width="1.125"
                >
                  <circle
                    id="椭圆形"
                    cx="4.81535885"
                    cy="2.703125"
                    r="2.140625"
                  ></circle>
                  <line
                    x1="8.8671875"
                    y1="2.6984375"
                    x2="12.9921875"
                    y2="2.6984375"
                    id="路径-2"
                    stroke-linecap="round"
                  ></line>
                  <line
                    x1="10.971875"
                    y1="0.59375"
                    x2="10.971875"
                    y2="4.71875"
                    id="路径-2"
                    stroke-linecap="round"
                  ></line>
                  <path
                    d="M11.6602343,8.9375 L1.29500865,8.9375 L1.38655479,13.4113249 L12.0600577,12.9156417 L11.6602343,8.9375 Z"
                    id="矩形"
                  ></path>
                  <path
                    d="M4.86223385,5.96875 C3.87558231,5.96875 2.9371147,6.20325603 2.04650583,6.67093558 C1.74891831,6.82720575 1.54974161,7.12252446 1.51637951,7.45698927 L1.37142475,8.90960803 L8.34040708,8.90960803 L8.20397832,7.46013637 C8.17226298,7.12318034 7.97226424,6.8251326 7.67247653,6.66805836 C6.7835034,6.2022899 5.84686059,5.96875 4.86223385,5.96875 Z"
                    id="矩形"
                  ></path>
                  <line
                    x1="-8.22401229e-17"
                    y1="8.9171875"
                    x2="13.078125"
                    y2="8.9171875"
                    id="路径-3"
                    stroke-linecap="round"
                  ></line>
                </g>
              </g>
            </g>
          </g>
        </g>
      </g>
    </g>
  </svg>
);

export const StudentIcon = () => (
  <svg
    width="16px"
    height="14px"
    viewBox="0 0 16 14"
    version="1.1"
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
  >
    <g
      id="页面-1"
      stroke="none"
      stroke-width="1"
      fill="none"
      fill-rule="evenodd"
    >
      <g id="教学课程头优化" transform="translate(-1229.000000, -263.000000)">
        <g id="编组-44">
          <g id="编组-34" transform="translate(1147.000000, 262.000000)">
            <g id="编组-25" transform="translate(82.000000, 0.000000)">
              <g id="学生">
                <rect id="矩形" x="0" y="0" width="16" height="16"></rect>
                <g
                  id="编组-2"
                  transform="translate(1.484375, 1.000000)"
                  stroke="#FFFFFF"
                  stroke-width="1.125"
                >
                  <circle
                    id="椭圆形"
                    cx="6.515625"
                    cy="2.703125"
                    r="2.140625"
                  ></circle>
                  <path
                    d="M11.6602343,8.9375 L1.29500865,8.9375 L1.38655479,13.4113249 L12.0600577,12.9156417 L11.6602343,8.9375 Z"
                    id="矩形"
                  ></path>
                  <path
                    d="M6.5625,5.96875 C5.57584846,5.96875 4.63738085,6.20325603 3.74677198,6.67093558 C3.44918446,6.82720575 3.25000776,7.12252446 3.21664566,7.45698927 L3.07169091,8.90960803 L10.0406732,8.90960803 L9.90424448,7.46013637 C9.87252913,7.12318034 9.67253039,6.8251326 9.37274268,6.66805836 C8.48376955,6.2022899 7.54712675,5.96875 6.5625,5.96875 Z"
                    id="矩形"
                  ></path>
                  <line
                    x1="-8.22401229e-17"
                    y1="8.9171875"
                    x2="13.078125"
                    y2="8.9171875"
                    id="路径-3"
                    stroke-linecap="round"
                  ></line>
                </g>
              </g>
            </g>
          </g>
        </g>
      </g>
    </g>
  </svg>
);

export const TeacherIcon = () => (
  <svg
    width="14px"
    height="14px"
    viewBox="0 0 14 14"
    version="1.1"
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
  >
    <g
      id="页面-1"
      stroke="none"
      stroke-width="1"
      fill="none"
      fill-rule="evenodd"
    >
      <g id="教学课程头优化" transform="translate(-1148.000000, -263.000000)">
        <g id="编组-44">
          <g id="编组-34" transform="translate(1147.000000, 262.000000)">
            <g id="编组-27">
              <g id="编组-2">
                <rect id="矩形" x="0" y="0" width="16" height="16"></rect>
                <path
                  d="M14.5,1 C14.7761424,1 15,1.22385763 15,1.5 L15,10.515625 C15,10.7917674 14.7761424,11.015625 14.5,11.015625 L12.984,11.015 L12.984,9.89 L13.875,9.890625 L13.875,2.125 L2.125,2.125 L2.125,9.890625 L3.031,9.89 L3.031,11.015 L1.5,11.015625 C1.22385763,11.015625 1,10.7917674 1,10.515625 L1,1.5 C1,1.22385763 1.22385763,1 1.5,1 L14.5,1 Z"
                  id="形状结合"
                  fill="#FFFFFF"
                  fill-rule="nonzero"
                ></path>
                <path
                  d="M7.953125,3.953125 C7.36200773,3.953125 6.82685148,4.19272261 6.43947455,4.58009955 C6.05209761,4.96747648 5.8125,5.50263273 5.8125,6.09375 C5.8125,6.68486727 6.05209761,7.22002352 6.43947455,7.60740045 C6.82685148,7.99477739 7.36200773,8.234375 7.953125,8.234375 C8.54424227,8.234375 9.07939852,7.99477739 9.46677545,7.60740045 C9.85415239,7.22002352 10.09375,6.68486727 10.09375,6.09375 C10.09375,5.50263273 9.85415239,4.96747648 9.46677545,4.58009955 C9.07939852,4.19272261 8.54424227,3.953125 7.953125,3.953125 Z"
                  id="椭圆形"
                  stroke="#FFFFFF"
                  stroke-width="1.125"
                ></path>
                <path
                  d="M8,9.359375 C7.02926405,9.359375 6.10515185,9.58634117 5.22738617,10.0391208 C4.91256494,10.2015156 4.70715311,10.5183474 4.68737612,10.8720323 L4.48804974,14.4375 L11.5073586,14.4375 L11.3117934,10.8726264 C11.2923657,10.5184864 11.086806,10.201135 10.7715768,10.038586 C9.89413176,9.58616432 8.97035946,9.359375 8,9.359375 Z"
                  id="矩形"
                  stroke="#FFFFFF"
                  stroke-width="1.125"
                ></path>
              </g>
            </g>
          </g>
        </g>
      </g>
    </g>
  </svg>
);

export const AddTutorIcon = () => (
  <svg
    width="14px"
    height="14px"
    viewBox="0 0 14 14"
    version="1.1"
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
  >
    <g
      id="页面-1"
      stroke="none"
      stroke-width="1"
      fill="none"
      fill-rule="evenodd"
    >
      <g id="教学课程头优化" transform="translate(-243.000000, -263.000000)">
        <g id="编组-44">
          <g id="编组-32" transform="translate(146.000000, 262.000000)">
            <g id="编组-29" transform="translate(96.000000, 0.000000)">
              <g id="编组-2备份-2">
                <rect id="矩形" x="0" y="0" width="16" height="16"></rect>
                <path
                  d="M15,1.5 L15,8.796 L13.875,8.796 L13.875,2.125 L2.125,2.125 L2.125,3.937 L1,3.937 L1,1.5 C1,1.22385763 1.22385763,1 1.5,1 L14.5,1 C14.7761424,1 15,1.22385763 15,1.5 Z"
                  id="形状结合"
                  fill="#FFFFFF"
                  fill-rule="nonzero"
                ></path>
                <line
                  x1="10.3515625"
                  y1="12.4484375"
                  x2="14.4765625"
                  y2="12.4484375"
                  id="路径-2"
                  stroke="#FFFFFF"
                  stroke-width="1.125"
                  stroke-linecap="round"
                ></line>
                <line
                  x1="12.45625"
                  y1="10.34375"
                  x2="12.45625"
                  y2="14.46875"
                  id="路径-2"
                  stroke="#FFFFFF"
                  stroke-width="1.125"
                  stroke-linecap="round"
                ></line>
                <path
                  d="M5.05989997,3.953125 C4.4687827,3.953125 3.93362645,4.19272261 3.54624952,4.58009955 C3.15887258,4.96747648 2.91927497,5.50263273 2.91927497,6.09375 C2.91927497,6.68486727 3.15887258,7.22002352 3.54624952,7.60740045 C3.93362645,7.99477739 4.4687827,8.234375 5.05989997,8.234375 C5.65101724,8.234375 6.18617349,7.99477739 6.57355042,7.60740045 C6.96092735,7.22002352 7.20052497,6.68486727 7.20052497,6.09375 C7.20052497,5.50263273 6.96092735,4.96747648 6.57355042,4.58009955 C6.18617349,4.19272261 5.65101724,3.953125 5.05989997,3.953125 Z"
                  id="椭圆形"
                  stroke="#FFFFFF"
                  stroke-width="1.125"
                ></path>
                <path
                  d="M5.10677497,9.359375 C4.1360377,9.359375 3.2119243,9.58634179 2.33415756,10.0391226 C2.02878012,10.1966463 1.82634563,10.4994802 1.79642938,10.840309 L2.04994602,14.4002361 L8.58736721,13.9495882 L8.41856837,10.8726264 C8.39914062,10.5184864 8.193581,10.201135 7.87835181,10.038586 C7.00090673,9.58616432 6.07713443,9.359375 5.10677497,9.359375 Z"
                  id="矩形"
                  stroke="#FFFFFF"
                  stroke-width="1.125"
                ></path>
                <line
                  x1="9.421875"
                  y1="4.0109375"
                  x2="12.421875"
                  y2="4.0109375"
                  id="路径-3"
                  stroke="#FFFFFF"
                  stroke-width="1.125"
                  stroke-linecap="round"
                ></line>
                <line
                  x1="9.421875"
                  y1="6.1359375"
                  x2="10.921875"
                  y2="6.1359375"
                  id="路径-3备份"
                  stroke="#FFFFFF"
                  stroke-width="1.125"
                  stroke-linecap="round"
                ></line>
              </g>
            </g>
          </g>
        </g>
      </g>
    </g>
  </svg>
);

export const AddTeacherIcon = () => (
  <svg
    width="14px"
    height="14px"
    viewBox="0 0 14 14"
    version="1.1"
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
  >
    <g
      id="页面-1"
      stroke="none"
      stroke-width="1"
      fill="none"
      fill-rule="evenodd"
    >
      <g id="教学课程头优化" transform="translate(-147.000000, -263.000000)">
        <g id="编组-44">
          <g id="编组-32" transform="translate(146.000000, 262.000000)">
            <g id="编组-28">
              <g id="编组-2备份">
                <rect id="矩形" x="0" y="0" width="16" height="16"></rect>
                <path
                  d="M15,1.5 L15,8.796 L13.875,8.796 L13.875,2.125 L2.125,2.125 L2.125,3.937 L1,3.937 L1,1.5 C1,1.22385763 1.22385763,1 1.5,1 L14.5,1 C14.7761424,1 15,1.22385763 15,1.5 Z"
                  id="形状结合"
                  fill="#FFFFFF"
                  fill-rule="nonzero"
                ></path>
                <line
                  x1="10.3515625"
                  y1="12.4484375"
                  x2="14.4765625"
                  y2="12.4484375"
                  id="路径-2"
                  stroke="#FFFFFF"
                  stroke-width="1.125"
                  stroke-linecap="round"
                ></line>
                <line
                  x1="12.45625"
                  y1="10.34375"
                  x2="12.45625"
                  y2="14.46875"
                  id="路径-2"
                  stroke="#FFFFFF"
                  stroke-width="1.125"
                  stroke-linecap="round"
                ></line>
                <path
                  d="M5.05989997,3.953125 C4.4687827,3.953125 3.93362645,4.19272261 3.54624952,4.58009955 C3.15887258,4.96747648 2.91927497,5.50263273 2.91927497,6.09375 C2.91927497,6.68486727 3.15887258,7.22002352 3.54624952,7.60740045 C3.93362645,7.99477739 4.4687827,8.234375 5.05989997,8.234375 C5.65101724,8.234375 6.18617349,7.99477739 6.57355042,7.60740045 C6.96092735,7.22002352 7.20052497,6.68486727 7.20052497,6.09375 C7.20052497,5.50263273 6.96092735,4.96747648 6.57355042,4.58009955 C6.18617349,4.19272261 5.65101724,3.953125 5.05989997,3.953125 Z"
                  id="椭圆形"
                  stroke="#FFFFFF"
                  stroke-width="1.125"
                ></path>
                <path
                  d="M5.10677497,9.359375 C4.1360377,9.359375 3.2119243,9.58634179 2.33415756,10.0391226 C2.02878012,10.1966463 1.82634563,10.4994802 1.79642938,10.840309 L2.04994602,14.4002361 L8.58736721,13.9495882 L8.41856837,10.8726264 C8.39914062,10.5184864 8.193581,10.201135 7.87835181,10.038586 C7.00090673,9.58616432 6.07713443,9.359375 5.10677497,9.359375 Z"
                  id="矩形"
                  stroke="#FFFFFF"
                  stroke-width="1.125"
                ></path>
              </g>
            </g>
          </g>
        </g>
      </g>
    </g>
  </svg>
);
