//点击跳转下一位评阅的方法
import React, { Component } from 'react';
import axios from 'axios';
import { getUrl } from 'educoder';
import { Link } from "react-router-dom";
import { Button, Row, Col } from "antd";
import './Newshixunmodel.css'


class NextStep extends Component{
  constructor(props) {
    super(props)
    this.state={
        data: [],
    }
  }

  get_next_works(id){
    this.props.getNextStep(id);
  }
  //点击评阅 直接跳转下一张卷子
  gotoget_next_work(id){ 
    this.props.history.replace(`/classrooms/${this.props.match.params.coursesId}/exercises/${this.props.match.params.Id}/users/${id}`);
  }


  render() {
      //获取传递过来的数据 做显示
    const { worklist } = this.props;
    return (
        <div className="clearfix bor-bottom-greyE edu-back-white orderingbox boomnext">

        <div className={"educontent mt5"}>
          <div>

            <Row>
              <Col span={12} className={"mt13"}>
                {worklist && worklist.work_id === null ?
                  <Row type="flex" justify="start">
                    <Col span={8}><div style={{ color: "#333333" }}>已全部评阅完</div></Col>
                  </Row> : <Row type="flex" justify="start">
                    <Col><div style={{ color: "#333333",marginTop:2 }}>{worklist && worklist ? `下一位待评阅人员：${worklist&&worklist.student_name}` : ""}</div></Col>
                    <Col span={4}><a className={"ml10 color-blue font-15"} onClick={() => this.get_next_works(worklist && worklist.student_login)}>跳过</a></Col>
                  </Row>}
              </Col>
              {worklist && worklist.work_id === null ? "" : <Col span={12} className={"mt8"}>
                <Row type="flex" justify="end">
                  <Col span={4}>
                    <Button className={"newshixunmode"} type="primary"
                      onClick={() => this.gotoget_next_work(worklist && worklist.student_login)}
                    // loading={this.state.hometypepvisible}
                    >评阅</Button>
                  </Col>
                </Row>
              </Col>}
            </Row>

          </div>
        </div>

      </div>
      
    )
  }
}



export default  NextStep ;
