import React from "react";
import { Row } from "./style";
import { BetweenBox } from "../util/layout";
import { ScoreDesc } from "./style";
import Names from "./Names";

export default ({ reviewData }) => {
  if (!reviewData) {
    return null;
  }
  return (
    <React.Fragment>
      <Row>
        <BetweenBox style={{color:"black"}}>
          <ScoreDesc>
            考试时长：
            {reviewData.exercise.time != -1
              ? `${reviewData.exercise.time} 分钟`
              : "未限时"}
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;满分：
            {reviewData.exercise_scores.exercise_types.q_scores}分
          </ScoreDesc>
        </BetweenBox>
      </Row>
      <Names exercise_users={reviewData.exercise_users} />
    </React.Fragment>
  );
};
