import { Comm, EdComm } from "./comment";
import QuesIdx from "./QuesIdx&Type";
import StandAns from "./StandardAns";
import Score from "./Score";
import { SAdjust, GAdjust, useAdjust, useGAdjust } from "./adjust";

const codeMirrorCfg = {
  theme: "default",
  lineNumbers: true,
  indentUnit: 4,
  matchBrackets: true,
  autoRefresh: true,
  smartIndent: true,
  styleActiveLine: true,
  lint: true,
  readOnly: "nocursor",
};

export {
  codeMirrorCfg,
  Comm,
  EdComm,
  QuesIdx,
  StandAns,
  SAdjust,
  GAdjust,
  Score,
  useAdjust,
  useGAdjust,
};
