import React, { Component } from "react";
import QestionDisplayHeader from './QestionDisplayHeader'
import RenderHtml from "../../../../components/render-html";



class MainDisplay extends Component {

  render() {
    let { standard_answer, question_id, index, is_md } = this.props;
    const qNumber = `question_${index}`;

    return (
      <div className="bor-bottom-greyE padding20-30" id={qNumber} _id={question_id}>
        <style>{`
              .optionMdEditor {
                flex: 0 0 800px
              }
              .optionRow {
                margin: 2px;
              }
              .actionBtns {
                  height: 28px
              }
              
            `}</style>

        <QestionDisplayHeader {...this.props}></QestionDisplayHeader>

        {standard_answer[0] &&
          <React.Fragment>
            <div style={{ color: '#05101A' }} className="font-16 mb5 font-bd">参考答案：</div>
            <RenderHtml is_md={is_md} value={standard_answer[0]} />
          </React.Fragment>
        }

      </div>
    )
  }
}

export default (MainDisplay);