import React,{ Component } from "react";
import {Table} from "antd";
import { Base64 } from 'js-base64';

class ShixunProgrDetail extends Component{
  constructor(props){
    super(props);
  }
  render(){

    let { challenge ,questionType}=this.props;

    let columns=[{
      title: '评测次数',
      dataIndex: 'number',
      width:"127px",
      key: 'number',
      className:"edu-txt-center",
      render: (text, record) => (
        <span>
          {/*{ record.status===-1?"测试用例结果不匹配":record.status===0?"评测通过":record.status===2?"评测超时":record.status===3?*/}
          {/*  "创建pod失败":record.status===4?"编译失败":record.status===5?"执行失败":""}*/}
          {record.key}
        </span>
      ),
    }, {
      title: '详细信息',
      dataIndex: 'name',
      key: 'name',
      className:challenge && challenge.length > 0 ? "" : "edu-txt-center",
      render: (text, record) => (
        <span>
          { record.error_msg==="--"?"--":Base64.decode(record.error_msg)}
        </span>
      ),
    }];

   let datas=[];
    // challenge && challenge.length > 0 ? challenge.map((item,key)=>{
    //     datas.push({
    //       number: item.position || "--",
    //       name: item.output_detail || "--"
    //     })
    //   })
    //   :
    //   datas.push({
    //     number:"--",
    //     name:"--"
    //   })
   if(questionType.evaluate_codes){
     if(questionType.evaluate_codes.length>0){
       questionType.evaluate_codes.map((item,key)=>{
         item.key=key+1
         datas.push(item)
       })
     }else{
       datas.push({
         key:"--",
         error_msg:"--"
       })
     }
   }else{
     datas.push({
       key:"--",
       error_msg:"--"
     })
   }
    return (
      <div>
        <style>{`
				.ant-table-thead > tr > th{
				    text-align: center;
					}

				`}</style>
        {
          datas ?
            <Table
              bordered
              dataSource={datas}
              columns={columns}
              pagination={false}
            />:""
        }

      </div>

    )
  }
}
export default ShixunProgrDetail;