import { css } from "styled-components";

export const FontMixinGen = (size) => css`
  font-family: "Helvetica Neue", Helvetica, "PingFang SC", "Hiragino Sans GB",
    "Microsoft YaHei", "微软雅黑", Arial, sans-serif;
  font-size: ${size}px;
`;

export const AllCenterMixin = css`
  display: flex;
  justify-content: center;
  align-items: center;
`;

export const ExpandSizeMixin = css`
  width:100%;
  height:100%;
`;