import React from "react";
import styled from "styled-components";

const Box = ({ className, children }) => (
  <div className={className}>
    <div>{children}</div>
  </div>
);
export const Background = styled(Box)`
  background: rgba(246, 246, 246, 1);
  padding-bottom: 250px;
  & > div {
    width: 1200px;
    margin: 0 auto;
  }
`;
export const BetweenBox = styled.div`
  display: flex;
  align-items: center;
  justify-content: space-between;
`;

export const FlexBox = styled.div`
  display: flex;
  align-items: center;
`;

export const AllCenter = styled.div`
  display: flex;
  width: 100%;
  height: 100%;
  align-items: center;
  justify-content: center;
`;

export const Paper = styled.div`
  background: rgba(255, 255, 255, 1);
  border-radius: 2px;
`;

export const Margin = styled.div`
  width: ${(p) => p.width};
  width: ${(p) => p.w};
  height: ${(p) => p.h};
`;
