import React from "react";
import { TextBtn } from "./button";
import { useToggle } from "../hooks";
import { BetweenBox } from "../layout";

export default ({ hintGen, children, visible, setVis }) => {
  const [v, sV] = useToggle();
  return (
    <React.Fragment>
      <BetweenBox>
        <div />
        <TextBtn onClick={visible !== undefined ? setVis : sV}>
          {hintGen(visible !== undefined ? visible : v)}
        </TextBtn>
      </BetweenBox>
      {(visible !== undefined ? visible : v) && children}
    </React.Fragment>
  );
};
