import {Pagination} from "antd";
import styled from "styled-components"
import { FontMixinGen } from "../cssMixin";

export default styled(Pagination)`
    ${FontMixinGen(14)}
    text-align:center;
    .ant-pagination-item{
        border-radius:2px;
        border:1px solid rgba(0,0,0,0.15);
        &:hover{
            border:1px solid rgba(24,144,255,1);
        }
    }
    .ant-pagination-item-active{
        background:rgba(24,144,255,1);
        border:1px solid rgba(0,0,0,0.15);
        & a{
            color:white;
        }
    }
`;