import React from "react";
import { Modal } from 'antd';
import styled from 'styled-components';

const Title = styled.div`
    font-size:18px;
    width:100%;
    font-family:MicrosoftYaHeiSemibold;
    color:rgba(51,51,51,1);
    text-align:center;
`;

//visible,title,onCancel,width
export default styled(({ children, title, ...props }) => {
    return <Modal footer={null} centered title={<Title>{title}</Title>} closable={false} {...props} maskClosable={false} keyboard={false}>
        {children}
    </Modal>;
})`
    & .ant-modal-body{
        padding:0px 0px;
    }
`;
