import React, { Component } from 'react';
import './TPMIndex.css';
import { getImageUrl } from 'educoder'
import { Tooltip } from 'antd'

const $ = window.$;

$(window).resize(function () {
  rightSlider();
});

$(window).scroll(function () {
  if ($(".gotop").length > 0) {
    if ($(document).scrollTop() > 0) {
      $(".-task-sidebar .gotop").show();
      $(".gotop").click(function () {
        $("html,body").scrollTop(0);
      });
    }
    if ($(document).scrollTop() == 0) {
      $(".-task-sidebar .gotop").hide();
    }
  }
});

function rightSlider() {
  var poi = parseInt((parseInt($(window).width()) - 1200) / 2) - 81;
  if (poi > 0) {
    $(".-task-sidebar").css("right", poi);
  } else {
    $(".-task-sidebar").css("right", "0px");
  }
  $(".-task-sidebar").show();
}


class SiderBar extends Component {
  constructor(props) {
    super(props)

  }
  componentDidMount() {
    if (window.$) {
      rightSlider();
    }
  }
  render() {
    return (

      <div className={"-task-sidebar"} >
        {/* 新建一个div图层 来放置微信扫一扫 放置出现问题  该样式为隐藏 只是为了显示微信扫一扫来创建*/}
        <a className="weixinclass" style={{ visibility: 'hidden' }} id={"barid"}></a>
        {this.props.mygetHelmetapi && this.props.mygetHelmetapi.main_site === true ? <div>

          <div className="gotop -task-sidebardiv" title="返回顶部">
            <a>
              <i className="iconfont icon-shangjiantou color-white"></i>
            </a>
          </div>

          <div className="feedback -task-sidebardiv" title="意见反馈">
            <a target="_blank" className="color_white" href="/help/feedback">
              <i className="iconfont icon-yijianfankui color-white font-22"></i>
            </a>
          </div>
          <Tooltip
            getPopupContainer={() => document.getElementById("barid")}
            placement="leftBottom" arrowPointAtCenter={true} title={
              <p>
                <img src={getImageUrl("images/educoder/EWM.jpg")} width="158px" height="158px" />
                <p className={"WeChatstyle wechatcenter"}>微信扫一扫</p>
                <p className={"WeChatstyle wechatcenter"}>关注公众号</p>
              </p>
            }>
            <div className="scan pr -task-sidebardiv" title="微信扫一扫">
              <span className="inline erweima"><i className="iconfont icon-erweima color-white font-22 fl"></i></span>
            </div>
          </Tooltip>

          <div className="consult -task-sidebardiv" title='在线咨询'>
            <a target="_blank" className="color_white" href="//shang.qq.com/wpa/qunwpa?idkey=2f2043d88c1bd61d182b98bf1e061c6185e23055bec832c07d8148fe11c5a6cd">
              <i className="iconfont icon-qqzaixianzixun color-white font-22"></i>
            </a>
          </div>


        </div> : ""}
      </div>
    );
  }
}

export default SiderBar;
