import Menu from "./util/widget/Menu";
import React, { useMemo, useState } from "react";
import styled from "styled-components";
import { BetweenBox } from "./util/layout";

const Box = styled(BetweenBox)`
  height: 64px;
  border-bottom: 1px solid rgba(0, 0, 0, 0.06);
`;

//isAssistant isAuthedAssistant isAdmin
export default ({ menuArr, btnArr, onChange, value }) => {
  return (
    <Box>
      <Menu
        itemArr={menuArr}
        onChange={onChange}
        value={value}
      />
      <div>
        {btnArr}
      </div>
    </Box>
  );
};
