import React, { useState, useContext } from "react";
import { Input } from "../../util/widget";
import { Icon } from "antd";
import { UpdateCtx } from "../AnswerLst";

export default () => {
  const dispatch = useContext(UpdateCtx);
  const [logSearch, setS] = useState("");
  return (
    <Input
      style={{ width: "216px" }}
      placeholder="请输入姓名或学号搜索"
      icon={
        <Icon
          type="search"
          onClick={() => {
            dispatch({
              type: "search",
              payload: logSearch,
            });
          }}
        />
      }
      value={logSearch}
      onChange={setS}
      onKeyUp={(e) => {
        e.keyCode === 13 &&
          dispatch({
            type: "search",
            payload: logSearch,
          });
      }}
    />
  );
};
