import React from "react";
import {
  Single,
  Muti,
  FillEpt,
  Exec,
  Program,
  SimpAns,
  Judge,
} from "./question";

const cfg = [Single, Muti, Judge, FillEpt, SimpAns, Exec, Program];

export default ({ question, exercise, exercise_answer_user, isGroup }) => {
  const Ques = cfg[question.question_type];
  const info = {
    is_md: exercise.is_md,
    exercise_answer_user,
    isGroup,
  };
  return <Ques question={question} {...info} />;
};
