import React from "react";
import styled from "styled-components";
import { Text } from "../../../util/widget/typography";

const qType = [
  "单选题",
  "多选题",
  "判断题",
  "填空题",
  "简答题",
  "实训题",
  "编程题",
];

const Title = styled.div``;

export default ({ question }) => {
  return (
    <div>
      <Text color="#999999" id={`question_${question.q_position}`} weight="300" size="16px">
        <span style={{ color: "#1890FF" ,fontWeight:"400"}}>
          {question.q_position}.{qType[question.question_type]} 
        </span>
        <span style={{display:"inline-block",width:"5px"}}/>
        ({question.question_score}分)
      </Text>
    </div>
  );
};
