import React from "react";
import { Btn } from "../../../util/widget";
import { useToggle } from "../../../util/hooks";
import { FlexBox, Margin } from "../../../util/layout";

const { TextBtn } = Btn;

export default ({ children }) => {
  const [ansV, setV] = useToggle();
  return (
    <div style={{margin:"6px 0",fontSize:"12px"}}>
      <FlexBox>
        <TextBtn onClick={setV} style={{ marginRight: "auto" }} s="12px">
          {ansV ? "隐藏参考答案" : "显示参考答案"}
        </TextBtn>
      </FlexBox>
      {ansV && children}
    </div>
  );
};
