export const isSubQ = (exercise_question) =>
  exercise_question.question_type == 4;
export const isSubQReviewed = (exercise_question) =>
  exercise_question.answer_status == 1 || exercise_question.answer_status == 2;
export const canQAdjust = (exercise_question) =>
  exercise_question.question_type == 3 ||
  exercise_question.question_type == 1 ||
  exercise_question.question_type == 6 ||
  (exercise_question.question_type == 4 &&
    exercise_question.answer_status == 0);
export const haveScore = (exercise_question) =>
  (isSubQReviewed(exercise_question) && isSubQ(exercise_question)) ||
  !isSubQ(exercise_question);
export const isEmpty = (arr) => {
  if (!arr) {
    return true;
  }
  if (arr.length === 0) {
    return true;
  }
  return false;
};

export const tagArray = [..."abcdefghijklmnopqrstuvwxyz".toUpperCase()];

export const questionName = (exercise_question) =>
  exercise_question.question_type == 5
    ? exercise_question.shixun_name
    : exercise_question.question_title;
