import React, { Component } from "react";
import QestionDisplayHeader from './QestionDisplayHeader'


class NullDisplay extends Component {

  render() {
    let { standard_answer, question_id, index, } = this.props;

    const qNumber = `question_${index}`;
    /**
    is_ordered: true
    multi_count: 3
    question_id: 10444
    question_number: 6
    question_score: 2
    question_title: "_2323_↵↵_"
    question_type: 3
    standard_answer: [{choice_id: 1, answer_text: ["2", "22"]}]
     */

    return (
      <div className="bor-bottom-greyE padding20-30" id={qNumber} _id={question_id}>
        <QestionDisplayHeader {...this.props}></QestionDisplayHeader>
        <div className="options">
          {
            standard_answer.map((answers, _index) => {
              return <div className="answer-row" key={_index}>
                <span className="lineh-40">答案（填空{_index + 1}）：</span>
                <div className="answer-pref lineh-40"> {answers.answer_text.map(item => <p style={{ whiteSpace: 'pre-wrap' }} className='null-answer-container' dangerouslySetInnerHTML={{ __html: item }} ></p>)}</div>
              </div>
            })
          }
        </div>
      </div>
    )
  }
}
// RouteHOC()
export default (NullDisplay);