import styled from "styled-components";
import React from "react";
import { FontMixinGen } from "../cssMixin";

export const Title = styled.div`
  ${FontMixinGen(20)}
  font-weight:500;
  color:black;
`;

export const Text = styled.div`
  ${FontMixinGen(14)}
  color:${(p) => p.color};
  font-weight:${(p) => p.weight};
  font-size:${(p) => p.size};
  overflow:hidden;
    text-overflow:ellipsis;
    white-space:nowrap;
`;
