
import React, { Component } from "react";
import { getRandomNumber } from 'educoder';
import './questionbanks.css';

class GroupPackage extends Component {

	DownloadOpenPdf = (type, url) => {
		let newurl = url + getRandomNumber();
		type === true ? window.open(newurl) : window.location.href = newurl;
	}

	render() {
		let { attachments } = this.props;
		return (
			<div className="color-grey df yslquesmat26" key={this.props.key} style={{ lineHeight: '17px' }}>
				<a className="color-grey ">
					<i className="font-14 color-green iconfont icon-fujian mr8" aria-hidden="true"></i>
				</a>
				<style>
					{
						`
								a:hover {
											color: #459be5 !important;
									}
									a:link, a:visited {
    								text-decoration: none;
									 color: #999999 !important;
							}
								`
					}
				</style>
				<a onClick={() => this.DownloadOpenPdf(attachments.is_pdf, attachments.url)} title={attachments && attachments.title}
					className="mr12 yslahover overflowHidden1" length="58" style={{ maxWidth: '480px', fontSize: "16px", }}>
					<span>{attachments && attachments.title}</span>
				</a>
				<span className="color656565  color-grey-6 font-12 mr8">{attachments && attachments.filesize}</span>

			</div>
		)
	}
}

export default GroupPackage;