//切换学生身份
import React, { Component } from 'react';
import { Modal,Select,Icon } from 'antd';
import axios from 'axios';
const { Option } = Select;
class SwitchModal extends Component {
    constructor(props) {
        super(props);
        this.state = {
          groups: [],
          isshow:false,
          course_group_id:0,
        }
      }

    componentDidMount(){
        //获取数据  显示分班列表
        this.getgorups();
    }

    getgorups=()=>{
      //调用接口 获取分班列表信息 
      const {switchid}=this.props;
      let url=`/courses/${switchid}/course_groups.json`
      axios.get(url).then((result)=>{  
          this.setState({groups:result.data.course_groups})
      })
    }

    setmodels=(type)=>{
        type?window.$(document.body).addClass("bodyov"):window.$(document.body).removeClass("bodyov");
        this.setState({isshow:type})
    }

    addsubmit=()=>{
        const{switchtype,modalsType}=this.props;

        switchtype(this.state.course_group_id,modalsType)
    }
    switchSelect=(type)=>{
       this.setState({course_group_id:type});
        
    }

    render(){
        const {groups}=this.state;
        let grouplist=groups&&groups.map((item)=>{
            return(
                <Option key={item.id}>{item.name}</Option>
            )
        });
        const {modelcount,modalsType}=this.props;
        return(
           <Modal
            title={<div style={{alignItems:'center',display:'flex'}}><div style={{textAlign:'left',flex:'1'}}>{modalsType===1?'切换为学生':modalsType===2?'切换为老师':'切换为助教'}</div><Icon onClick={()=>this.setmodels(false)} type="close" /></div>}
            visible={this.state.isshow}
            closable={false}
            onOk={this.addsubmit}
            centered={true}
            onCancel={()=>this.setmodels(false)}
           >
            <div style={{height:"100px"}}>
                <p style={{fontSize:'14px',textAlign:modalsType===1?'':'center',lineHeight:modalsType===1?'':"100px"}}>{modelcount}</p>
                {modalsType!==1?'':<div>
                    <span>进入：</span>
                    <Select onSelect={this.switchSelect} defaultValue="未分班" style={{ marginTop:"15px",marginLeft:"20px",width: "80%" }}>
                        <Option key={0}>未分班</Option>
                    {grouplist}
                    </Select>
                    </div>}
             
            </div>

           </Modal>
        )
    }

}
export default SwitchModal;


