import React, { Component } from "react";
import { queryString } from "educoder";
import { Tabs, Input, Modal, Checkbox, Button } from "antd";
import "./../testioncss/testioncss.css";

import NoneDatas from "../component/NoneDatas";
import Contentquestionbank from "./Contentquestionbank";
import LoadingSpin from "../../../common/LoadingSpin";
import Listjihe from "./Listjihe";
import Certifiedprofessional from "../../modals/Certifiedprofessional";
import SendTopicsModel from "./SendTopicsModel";
const { TabPane } = Tabs;
const Search = Input.Search;
class Contentpart extends Component {
  constructor(props) {
    super(props);
    this.state = {
      page: 1,
      defaultActiveKeyss: "0",
      mydisplay: false,
      occupation: 2,
      isysladmins: false,
      SendTop: false,
      paramsid: null,
      mysauth_roles: false,
      myPeriofters: false,
    };
  }
  //初始化
  componentDidMount() {
    const query = this.props.location.search;
    const parsed = queryString.parse(query);
    console.log("Contentpart");
    console.log(parsed);
    if (JSON.stringify(parsed) === "{}") {
      this.setState({
        defaultActiveKeyss: "0",
      });
    } else {
      if (parsed.defaultActiveKey === "0") {
        this.setState({
          defaultActiveKeyss: "0",
        });
      } else {
        this.setState({
          defaultActiveKeyss: "1",
        });
      }
    }

    let auth_roles = this.props.auth_role;
    let Periofters = false;
    if (this.props) {
      if (this.props.current_user) {
        if (this.props.current_user.admin) {
          Periofters = true;
        } else if (this.props.current_user.business) {
          Periofters = true;
        } else if (this.props.current_user.is_shixun_marker) {
          Periofters = true;
        } else if (this.props.current_user.is_teacher) {
          Periofters = true;
        } else if (this.props.current_user.user_identity !== "学生") {
          Periofters = true;
        }
      }
    }

    this.setState({
      mysauth_roles: auth_roles,
      myPeriofters: Periofters,
    });
  }
  //跳转人工组卷
  Mantegeneration = () => {
    this.props.history.push("/problemset");
  };

  componentDidUpdate(prevProps) {
    if (prevProps.current_user !== this.props.current_user) {
      let isysladmins = false;
      let is_teacher =
        this.props &&
        this.props.current_user &&
        this.props.current_user.is_teacher
          ? this.props.current_user.is_teacher
          : false;
      const professional_certification =
        this.props &&
        this.props.current_user &&
        this.props.current_user.professional_certification
          ? this.props.current_user.professional_certification
          : false;
      let { defaultActiveKey } = this.props;
      let defaultActiveKeys = defaultActiveKey;
      try {
        if (this.props) {
          if (this.props.current_user) {
            if (this.props.current_user.admin) {
              isysladmins = true;
            } else if (this.props.current_user.business) {
              isysladmins = true;
            }
          }
        }

        if (is_teacher === false) {
          if (this.props.current_user.user_identity !== "学生") {
            //专业人士
            is_teacher = true;
          }
        }
      } catch (e) {}
      if (
        isysladmins === true ||
        (is_teacher === true && professional_certification === true)
      ) {
        defaultActiveKeys = "0";
      } else {
        defaultActiveKeys = "1";
      }
      try {
        if (this.props.defaultActiveKeybool === false) {
          if (this.state.defaultActiveKeyss === "0") {
            defaultActiveKeys = "0";
          } else {
            defaultActiveKeys = "1";
          }
        }
      } catch (e) {}

      this.props.callback(defaultActiveKeys, false);
    }
  }
  HideAddcoursestypess = (i) => {
    try {
      if (
        this.props.current_user.professional_certification === false &&
        this.state.isysladmins === false
      ) {
        this.setState({
          mydisplay: true,
          occupation: i,
        });
      }
    } catch (e) {}
  };

  mydisplayHidedel = () => {
    this.setState({
      mydisplay: false,
    });
  };
  xinzenw = (url, b) => {
    if (b === false) {
      //只限制了教师
      this.HideAddcoursestypess(2);
      return;
    }

    this.props.history.push(url);
  };
  HideAddcoursestypess = (i) => {
    console.log("调用了");
    this.setState({
      mydisplay: true,
      occupation: i,
    });
  };

  mydisplayHidedel = () => {
    this.setState({
      mydisplay: false,
    });
  };

  Testpapereditor = (e) => {
    if (this.props.auth_role === false) {
      this.HideAddcoursestypess(2);
      return;
    }
    this.props.Testpapereditor(e);
  };

  showmodels = (e) => {
    if (this.props.auth_role === false) {
      this.HideAddcoursestypess(2);
      return;
    }
    this.props.showmodels(e);
  };

  showmodelysl = (e) => {
    if (this.props.auth_role === false) {
      this.HideAddcoursestypess(2);
      return;
    }
    this.props.showmodelysl(e);
  };

  showmodelsInaudit = (e) => {
    if (this.props.auth_role === false) {
      this.HideAddcoursestypess(2);
      return;
    }
    this.props.showmodelsInaudit(e);
  };

  submitInfos = (bool, id) => {
    this.setState({
      SendTop: bool,
      paramsid: id,
    });
  };
  handleModalVisible = (flag) => {
    const localStorage = window.localStorage;
    if (
      localStorage &&
      localStorage["no_alert_randompaper"] &&
      localStorage["no_alert_randompaper"] === "1"
    ) {
      this.props.history.push("/randompaper");
    }
    this.setState({ modalVisible: flag });
  };
  render() {
    let { defaultActiveKeyss, mydisplay, SendTop, paramsid } = this.state;
    let { defaultActiveKey, defaultActiveKeybool } = this.props;
    let defaultActiveKeys = defaultActiveKey + "";

    let is_teacher =
      this.props &&
      this.props.current_user &&
      this.props.current_user.is_teacher
        ? this.props.current_user.is_teacher
        : false;
    try {
      if (is_teacher === false) {
        if (this.props.current_user.user_identity !== "学生") {
          //专业人士
          is_teacher = true;
        }
      }
    } catch (e) {}

    if (defaultActiveKeybool === false) {
      if (defaultActiveKeyss === "0") {
        defaultActiveKeys = "0";
      } else {
        defaultActiveKeys = "1";
      }
    }
    let auth_roles = this.props.auth_role;
    let Periofters = false;
    if (this.props) {
      if (this.props.current_user) {
        if (this.props.current_user.admin) {
          Periofters = true;
        } else if (this.props.current_user.business) {
          Periofters = true;
        } else if (this.props.current_user.is_shixun_marker) {
          Periofters = true;
        } else if (this.props.current_user.is_teacher) {
          Periofters = true;
        } else if (this.props.current_user.user_identity !== "学生") {
          Periofters = true;
        }
      }
    }

    return (
      <div className=" clearfix mt25">
        <div className="educontent mt10 pb20 w1200s">
          {mydisplay === true ? (
            <Certifiedprofessional
              {...this.props}
              {...this.state}
              ModalCancelsy={this.mydisplayHidedel}
            />
          ) : (
            ""
          )}
          {mydisplay === true || SendTop === true ? (
            <style>
              {`
									  body{
            overflow:hidden!important;
          }

									`}
            </style>
          ) : (
            ""
          )}
          {SendTop === true ? (
            <SendTopicsModel
              paramsid={paramsid}
              visible={SendTop}
              mypaper={false}
              {...this.state}
              {...this.props}
              submitInfos={(b, id) => this.submitInfos(b, id)}
            ></SendTopicsModel>
          ) : (
            ""
          )}
          <div className="w1200ms contentparttit">
            <style>
              {`
								.contentparttit .ant-tabs-bar{
										margin: 0px 0px 0px 0px !important;
								}
								.contentparttit .ant-tabs-nav  .ant-tabs-tab{
								margin: 10px 10px 10px 0 !important;
								}
								.contentparttit .ant-tabs-nav .ant-tabs-ink-bar{
								width: 31px !important;
								left: 14px;
								}
								.ant-tabs-nav{
								z-index: 1000;
								}
								`}
            </style>

            <div style={{ position: "relative" }}>
              <Tabs
                activeKey={defaultActiveKeys}
                onChange={(e) => this.props.callback(e, true)}
              >
                <TabPane tab="公共" key="1"></TabPane>
                <TabPane tab="我的" key="0"></TabPane>
              </Tabs>

              <div
                className=" mt19"
                style={{
                  position: "absolute",
                  top: "-8px",
                  paddingLeft: "170px",
                  width: "100%",
                }}
              >
                <style>
                  {`
										
									
									.xaxisreverseorder .ant-input-wrapper .ant-input-group-addon .ant-input-lg {
								 height: 39px !important;
								 border: 1px solid #d9d9d9!important;
									 }
                 .sortinxdirection .ant-input-wrapper .ant-input-group-addon .ant-btn-lg  {
								 height: 39px !important;
								 border: 1px solid #d9d9d9!important;
									 }
                 
               
									.sortinxdirection .ant-input-group-addon{
									width: 48px !important;
									
									}
									
									.sortinxdirection .ant-input-lg {
  								  height: 41px;}
                 
                  .sortinxdirection .ant-popover{
                       top: 348px !important;
                   }
                   
									`}
                </style>
                <div
                  className={
                    Periofters === true
                      ? "sortinxdirection"
                      : "xaxisreverseorder"
                  }
                >
                  <Search
                    style={{ width: "347px", marginRight: "60px" }}
                    placeholder="请输入题目名称、内容"
                    enterButton
                    size="large"
                    onInput={(e) => this.props.setdatafunsval(e)}
                    onSearch={(value) => this.props.setdatafuns(value)}
                    value={this.props.keyword}
                  />

                  {Periofters === true && auth_roles === true ? (
                    <div
                      className="xaxisreverseorder"
                      style={{
                        width: "50%",
                      }}
                    >
                      <a
                        onClick={() => this.xinzenw("/problemset", auth_roles)}
                      >
                        <div className="newbutoonss">
                          <p className="newbutoontess">人工组卷</p>
                        </div>
                      </a>
                      {defaultActiveKeys === "0" ? (
                        <a onClick={() => this.handleModalVisible(true)}>
                          <div
                            className="newbutoonss"
                            style={{ marginRight: 10 }}
                          >
                            <p className="newbutoontess">随机组卷</p>
                          </div>
                        </a>
                      ) : null}
                    </div>
                  ) : (
                    ""
                  )}
                </div>
              </div>
            </div>
          </div>
          {/*内容*/}
          {this.props.Contentdata.exams === undefined ||
          this.props.Contentdata.exams === null ||
          this.props.Contentdata.exams.length === 0 ? (
            <div className=" w100s mb10"></div>
          ) : (
            <div
              className=" w100s mb10"
              style={{
                position: "relative",
              }}
            >
              {defaultActiveKey === 1 || defaultActiveKey === "1" ? (
                <Contentquestionbank
                  {...this.props}
                  {...this.state}
                ></Contentquestionbank>
              ) : (
                ""
              )}
              {defaultActiveKey === 0 || defaultActiveKey === "0" ? (
                <Contentquestionbank
                  {...this.props}
                  {...this.state}
                ></Contentquestionbank>
              ) : (
                ""
              )}
            </div>
          )}

          <div className="minheight">
            {/*列表集合*/}
            <div className=" w100s">
              {this.props.booljupyterurls === true ? (
                <LoadingSpin></LoadingSpin>
              ) : this.props.Contentdata.exams === undefined ||
                this.props.Contentdata.exams === null ||
                this.props.Contentdata.exams.length === 0 ? (
                <NoneDatas></NoneDatas>
              ) : (
                this.props.Contentdata.exams.map((object, index) => {
                  return (
                    <Listjihe
                      {...this.state}
                      {...this.props}
                      items={object}
                      key={index}
                      Testpapereditor={(e) => this.Testpapereditor(e)}
                      showmodels={(e) => this.showmodels(e)}
                      showmodelysl={(e) => this.showmodelysl(e)}
                      Isitapopup={this.props.Isitapopup}
                      showmodelsInaudit={(e) => this.props.showmodelsInaudit(e)}
                      submitInfos={(b, id) => this.submitInfos(b, id)}
                      auth_role={this.props.auth_role}
                    ></Listjihe>
                  );
                })
              )}
            </div>
          </div>
        </div>
        <Modal
          title={<div style={{ textAlign: "left" }}>温馨提示</div>}
          onCancel={() => this.handleModalVisible(false)}
          visible={this.state.modalVisible}
          footer={null}
          centered
          maskClosable={false}
          forceRender
        >
          随机组卷功能在编辑时仅能确定随机规则，不能编辑确定的试题。
          在课堂上应用时，将根据规则为每位学生随机生成一份考察点和题型相同，但试题互不相同的试卷。
          为顺利组卷，请及时删除个人题库中冗余、错误、无效的试题，确保您的个人题库中全部试题均正确且有效。
          <div style={{ marginTop: 30 }}>
            <Checkbox
              onChange={(e) => {
                const localStorage = window.localStorage;
                if (localStorage) {
                  localStorage["no_alert_randompaper"] = e.target.checked?'1':'0';
                }
              }}
            >
              不再提示
            </Checkbox>
            <Button
              type={"primary"}
              style={{ float: "right" }}
              onClick={() => {
                this.props.history.push("/randompaper");
              }}
            >
              确定
            </Button>
          </div>
        </Modal>
      </div>
    );
  }
}
export default Contentpart;
