import React, { Component } from 'react';


import TPMCollaborators from './TPMCollaborators'


class TPMChallengeContainer extends Component {


  render() {
    const { tpmLoading } = this.props;
    const user = this.props.current_user;
    return (
      <React.Fragment>
        {tpmLoading ? <div style={{ minHeight: '886px' }}></div> :
          <TPMCollaborators
            {...this.props}
            {...this.state}
            user={user}
            aboutFocus={this.props.aboutFocus}
            is_jupyter={this.props.is_jupyter}
          >
          </TPMCollaborators>
        }
      </React.Fragment>
    );
  }
}

export default TPMChallengeContainer;
