import axios from 'axios'

export function fetchTaskInfo(id) {
  return axios.get(`/tasks/${id}.json`)
}

export function fetchCode(id, params) {
  return axios.get(`/tasks/${id}/rep_content.json`, { params })
}

export function updateCode(id, params) {
  return axios.post(`/myshixuns/${id}/update_file.json`, params)
}

export function restoreCode(id, params) {
  return axios.get(`/tasks/${id}/reset_original_code.json`, { params })
}

export function codeGameBuild(id, params) {
  return axios.get(`/tasks/${id}/game_build.json`, { params })
}

export function getCodeGameStatus(id, params) {
  return axios.get(`/tasks/${id}/game_status.json`, { params })
}

export function evalateChooseGame(id, params) {
  return axios.post(`/tasks/${id}/choose_build.json`, params)
}

export function fetchPictures(id) {
  return axios.get(`/tasks/${id}/picture_display.json`)
}

export function updateCostTime(id, params) {
  return axios.get(`/tasks/${id}/cost_time.json`, { params })
}

export function getNoticeDetail(id, params) {
  return axios.get(`/courses/${id}/inform_detail.json`, { params })
}
